package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.*;
/**
 * 大屏模块位置对象 sys_screen_location
 *
 * @author tianyongbao
 * @date 2023-12-22
 */
@ApiModel("大屏模块位置对象")
@Data
public class SysScreenLocation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 模块位置 */
    @ApiModelProperty(value="模块位置")
    @Excel(name = "模块位置")
    private Long locationNum;

    /** 模块id */
    @ApiModelProperty(value="模块id")
    @Excel(name = "模块id")
    private Long moduleId;

    /** 用户id */
    @ApiModelProperty(value="用户id")
    @Excel(name = "用户id")
    private Long userId;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("locationNum", getLocationNum())
            .append("moduleId", getModuleId())
            .append("userId", getUserId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
